Bug 247144 - net/dhcpcd: tries to use libudev-devd if available
Summary: net/dhcpcd: tries to use libudev-devd if available
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-10 11:38 UTC by Greg V
Modified: 2020-06-16 13:02 UTC (History)
1 user (show)

See Also:
woodsb02: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-06-10 11:38:34 UTC
dhcpcd(-devel) really needs --without-udev in CONFIGURE_ARGS. Otherwise it builds the useless-for-us udev module if libudev-devd is installed, and tries to load it every time it runs, resulting in an extra warning.
Comment 1 Ben Woods freebsd_committer 2020-06-10 22:52:41 UTC
Hi Greg,

Makes sense to me.

Roy - would you agree with setting “—without-udev” as a CONFIGURE_ARGS for net/dhcpcd on FreeBSD and DragonflyBSD?

Regards,
Ben
Comment 2 roy 2020-06-11 10:41:06 UTC
Heh, so I finally got around to testing this.
And it's plainly broken for dhcpcd's use case.
udev_device_new_from_subsystem_sysname is not implemented, just a stub.

I've adjusted the configure script to only accept udev by default on Linux here:
https://roy.marples.name/cgit/dhcpcd.git/commit/?id=137b42759c94ab51bce6962a6c842b963b240a39

You can either add that as a patch for the time being or just disable it in the package build. Either way is fine.
Comment 3 commit-hook freebsd_committer 2020-06-16 12:53:22 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Jun 16 12:52:57 UTC 2020
New revision: 539348
URL: https://svnweb.freebsd.org/changeset/ports/539348

Log:
  net/dhcpcd: Update to 9.1.2

  Also disable udev support in CONFIGURE_ARGS, given that FreeBSD has
  the function udev_device_new_from_subsystem_sysname if the module
  libudev-devd is installed, but it is not implemented.

  PR:		247144
  Reported by:	Greg V <greg@unrelenting.technology>
  Reviewed by:	Roy Marples <roy@marples.name>

Changes:
  head/net/dhcpcd/Makefile
  head/net/dhcpcd/distinfo
Comment 4 Ben Woods freebsd_committer 2020-06-16 12:56:23 UTC
Committed - thanks for reporting this one, and for the upstream fix Roy. I added it in the port also to be explicit.
Comment 5 commit-hook freebsd_committer 2020-06-16 13:02:24 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Jun 16 12:55:33 UTC 2020
New revision: 539349
URL: https://svnweb.freebsd.org/changeset/ports/539349

Log:
  net/dhcpcd-devel: disable udev support in CONFIGURE_ARGS, given that
  FreeBSD has the function udev_device_new_from_subsystem_sysname if the
  module libudev-devd is installed, but it is not implemented.

  PR:		247144
  Reported by:	Greg V <greg@unrelenting.technology>
  Reviewed by:	Roy Marples <roy@marples.name>

Changes:
  head/net/dhcpcd-devel/Makefile